distro: oel: Upgrade the default linux-yocto to 4.14
authorOtavio Salvador <otavio@ossystems.com.br>
Tue, 17 Apr 2018 20:58:45 +0000 (17:58 -0300)
committerOtavio Salvador <otavio@ossystems.com.br>
Tue, 17 Apr 2018 20:58:45 +0000 (17:58 -0300)
We are upgrading the default version of linux-yocto from 4.12 to 4.14
that is LTS.

Change-Id: I8166cccabe5b8978fd9c6415efe0032d56c74c72
Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
conf/distro/include/oel.inc

index 96ada2a..4bf950b 100644 (file)
@@ -89,13 +89,7 @@ QEMU_TARGETS ?= "arm aarch64 i386 x86_64"
 # Other QEMU_TARGETS "mips mipsel mips64 mips64el nios2 ppc sh4"
 
 # Preferred kernel version for QEMU based machines
-PREFERRED_VERSION_linux-yocto ?= "4.12%"
-PREFERRED_VERSION_linux-yocto_qemux86 ?= "4.12%"
-PREFERRED_VERSION_linux-yocto_qemux86-64 ?= "4.12%"
-PREFERRED_VERSION_linux-yocto_qemuarm ?= "4.12%"
-PREFERRED_VERSION_linux-yocto_qemumips ?= "4.12%"
-PREFERRED_VERSION_linux-yocto_qemumips64 ?= "4.12%"
-PREFERRED_VERSION_linux-yocto_qemuppc ?= "4.12%"
+PREFERRED_VERSION_linux-yocto ?= "4.14%"
 
 OELQEMUDEPS = "${@bb.utils.contains("INCOMPATIBLE_LICENSE", "GPLv3", "", "packagegroup-core-device-devel",d)}"
 DISTRO_EXTRA_RDEPENDS_append_qemuarm = " ${OELQEMUDEPS}"